Mobile = Core.class(Sprite)

function Mobile:init(xplayer)
	local mybtnright = TextField.new(nil, ">")
	mybtnright:setScale(16, 8)
	mybtnright:setTextColor(0xffffff)
	mybtnright:setPosition(contentwidth - mybtnright:getWidth(), contentheight)
	self:addChild(mybtnright)
	local mybtnleft = TextField.new(nil, "<")
	mybtnleft:setScale(16, 8)
	mybtnleft:setTextColor(0xffffff)
	mybtnleft:setPosition(contentwidth - mybtnleft:getWidth() - mybtnright:getWidth() - 8, contentheight)
	self:addChild(mybtnleft)
	local mybtnA = TextField.new(nil, "A")
	mybtnA:setScale(8, 8)
	mybtnA:setTextColor(0xffffff)
	mybtnA:setPosition(0, contentheight)
	self:addChild(mybtnA)
	local mybtnB = TextField.new(nil, "B")
	mybtnB:setScale(8, 8)
	mybtnB:setTextColor(0xffffff)
	mybtnB:setPosition(mybtnA:getWidth() + 4, contentheight - 24)
	self:addChild(mybtnB)
	local mybtnC = TextField.new(nil, "X")
	mybtnC:setScale(8, 8)
	mybtnC:setTextColor(0x00ff00)
	mybtnC:setPosition(mybtnB:getWidth() + mybtnA:getWidth() + 16, contentheight - 24)
	self:addChild(mybtnC)

	-- right
	mybtnright:addEventListener(Event.TOUCHES_BEGIN, function(e)
		if mybtnright:hitTestPoint(e.touch.x, e.touch.y) then
			xplayer.isright = true
		end
	end)
	mybtnright:addEventListener(Event.TOUCHES_MOVE, function(e)
		if mybtnright:hitTestPoint(e.touch.x, e.touch.y) then
			xplayer.isright = true
		end
		if not mybtnright:hitTestPoint(e.touch.x, e.touch.y)
				and not mybtnA:hitTestPoint(e.touch.x, e.touch.y)
				and not mybtnB:hitTestPoint(e.touch.x, e.touch.y)
				and not mybtnC:hitTestPoint(e.touch.x, e.touch.y) then
			xplayer.isright = false
		end
	end)
	mybtnright:addEventListener(Event.TOUCHES_END, function(e)
		if mybtnright:hitTestPoint(e.touch.x, e.touch.y) then
			xplayer.isright = false
		end
	end)

	-- left
	mybtnleft:addEventListener(Event.TOUCHES_BEGIN, function(e)
		if mybtnleft:hitTestPoint(e.touch.x, e.touch.y) then
			xplayer.isleft = true
		end
	end)
	mybtnleft:addEventListener(Event.TOUCHES_MOVE, function(e)
		if mybtnleft:hitTestPoint(e.touch.x, e.touch.y) then
			xplayer.isleft = true
		end
		if not mybtnleft:hitTestPoint(e.touch.x, e.touch.y)
				and not mybtnA:hitTestPoint(e.touch.x, e.touch.y)
				and not mybtnB:hitTestPoint(e.touch.x, e.touch.y)
				and not mybtnC:hitTestPoint(e.touch.x, e.touch.y) then
			xplayer.isleft = false
		end
	end)
	mybtnleft:addEventListener(Event.TOUCHES_END, function(e)
		if mybtnleft:hitTestPoint(e.touch.x, e.touch.y) then
			xplayer.isleft = false
		end
	end)

	-- B (up) JUMP
	mybtnB:addEventListener(Event.TOUCHES_BEGIN, function(e)
		if mybtnB:hitTestPoint(e.touch.x, e.touch.y) then
			xplayer:jump()
		end
	end)

	-- A (down)
	mybtnA:addEventListener(Event.TOUCHES_BEGIN, function(e)
		if mybtnA:hitTestPoint(e.touch.x, e.touch.y) then
			xplayer.isdown = true
			xplayer.isgoingdownplatform = true
		end
	end)
	mybtnA:addEventListener(Event.TOUCHES_END, function(e)
		if mybtnA:hitTestPoint(e.touch.x, e.touch.y) then
			xplayer.isdown = false
		end
	end)

	-- X (shoot)
	mybtnC:addEventListener(Event.TOUCHES_BEGIN, function(e)
		if mybtnC:hitTestPoint(e.touch.x, e.touch.y) then
			xplayer:shoot()
		end
	end)
end
