Particles = Core.class(Sprite)

function Particles:init(xworld, xtexture, xradius, xposx, xposy, xboxw, xboxh)
	local actors = {}
	local shape = b2.PolygonShape.new()
	shape:setAsBox(xboxw, xboxh)
	local ps = self.world:createParticleSystem( { radius = xradius } )
	ps:setTexture(Texture.new(xtexture))
	self.gamelayer:addChild(ps)
	ps:createParticleGroup( { shape = shape, position = { x = xposx, y = xposy}, color = 0x0000FF, alpha=1, flags=0 } )
end
